Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlai.client
Class EventTester

    java.lang.Object
      com.bea.wlai.client.EventTester

    public class EventTester

extends Object

Utility class to help test the creation of events within WLI-AI. This class allows for events to be created manually (via EIS tool) or via a service invocation (that is known to create the desired event).

Nested Class Summary
`class` | `EventTester.EventCreationInfo`
`class` | `EventTester.EventCreationResults`

Constructor Summary
`EventTester(ApplicationView appView)`

Method Summary
`EventTester.EventCreationInfo` | `createCreationInfo()`
`EventTester.EventCreationResults` | `createEvent(EventTester.EventCreationInfo eci, long millisToWait)`
`int` | `getEventCount()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EventTester

    public EventTester(ApplicationView appView)

Method Detail

### createEvent

    public EventTester.EventCreationResults createEvent(EventTester.EventCreationInfo eci,
                                                        long millisToWait)
                                                 throws ApplicationViewSuspendedException,
                                                        ApplicationViewException,
                                                        EventContextException,
                                                        TransactionTimeoutException,
                                                        DocumentException,
                                                        javax.resource.ResourceException,
                                                        RemoteException

  Throws:
    `ApplicationViewSuspendedException`
    `ApplicationViewException`
    `EventContextException`
    `TransactionTimeoutException`
    `DocumentException`
    `javax.resource.ResourceException`
    `RemoteException`

### getEventCount

    public int getEventCount()

### createCreationInfo

    public EventTester.EventCreationInfo createCreationInfo()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD